package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.ReturnTableDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface ReturnTableService {

    List<Map> countReturnTable(HttpServletResponse response,ReturnTableDto dto);

    List<Map> countByVendor(HttpServletResponse response, ReturnTableDto dto);

    Page<Map> queryInfoReturnTable(HttpServletResponse response,Page page,ReturnTableDto dto);
}
